CVE-2019-9210

MEDIUM

Description

In AdvanceCOMP 2.1, png_compress in pngex.cc in advpng has an integer overflow upon encountering an invalid PNG size, which results in an attempted memcpy to write into a buffer that is too small. (There is also a heap-based buffer over-read.)

References

https://lists.debian.org/debian-lts-announce/2019/03/msg00004.html

https://lists.fedoraproject.org/archives/list/[email protected]/message/R56LVWC7KUNXFRKQB3Y5NX2YHFJKYZB4/

https://sourceforge.net/p/advancemame/bugs/277/

https://usn.ubuntu.com/3936-1/

https://usn.ubuntu.com/3936-2/

Details

Source: MITRE

Published: 2019-02-27

Updated: 2020-08-24

Type: CWE-190

Risk Information

CVSS v2.0

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3.0

Base Score: 7.8

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 1.8

Severity: HIGH